% Logisticky rust
clear
itermax=100;
mu=3.8;K=3;x=zeros(1,itermax);
x(1)=0.01;
for n=1:1:itermax
    x(n+1)=mu*x(n)*(1-x(n)/K);    
end
hold on
    plot(1:itermax,x(1:itermax))
    plot(1:itermax,x(1:itermax),'o')
fsize=15;
set(gca,'XTick',0:50:itermax,'FontSize',fsize)
set(gca,'YTick',0:2:1,'FontSize',fsize)
xlabel('n','FontSize',fsize)
ylabel('\itx_n','FontSize',fsize)
hold off

% End of Program_6a.